libvisio::PolylineData Struct Reference

`#include <VSDTypes.h>`

## Public Member Functions

| PolylineData ()

## Public Attributes

unsigned char | xType
unsigned char | yType
std::vector< std::pair< double, double > > | points

## Constructor & Destructor Documentation

## PolylineData()

libvisio::PolylineData::PolylineData | ( |  | ) |

inline

## Member Data Documentation

## points

std::vector<std::pair<double, double> > libvisio::PolylineData::points

Referenced by libvisio::VSDContentCollector::collectPolylineTo(), libvisio::VSDContentCollector::collectShapeData(), PolylineData(), libvisio::VSDXMLParserBase::readPolylineData(), and libvisio::VSDParser::readShapeData().

## xType

unsigned char libvisio::PolylineData::xType

Referenced by libvisio::VSDContentCollector::collectPolylineTo(), libvisio::VSDContentCollector::collectShapeData(), PolylineData(), libvisio::VSDXMLParserBase::readPolylineData(), and libvisio::VSDParser::readShapeData().

## yType

unsigned char libvisio::PolylineData::yType

Referenced by libvisio::VSDContentCollector::collectPolylineTo(), libvisio::VSDContentCollector::collectShapeData(), PolylineData(), libvisio::VSDXMLParserBase::readPolylineData(), and libvisio::VSDParser::readShapeData().

The documentation for this struct was generated from the following file:

- VSDTypes.h